<?php
/*
Version: 1.0.0
Plugin Name: EK_Calendar
Plugin URI: 
Author: EvilKant
Description: Calendar of employment
*/

// Chech whether we are indeed included by Piwigo.
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 
global $prefixeTable;
// Определяем директорию плагина
define('calendar_PATH', PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');
define('calendar_Admin', get_root_url() . 'admin.php?page=plugin-' . basename(dirname(__FILE__)));
define('calendar_Table', $prefixeTable."calendar");
define('calendar_templ', calendar_PATH.'template/');
//Включаем перевод плагина
load_language('plugin.lang', calendar_PATH);

//Делаем пункт меню в админке
add_event_handler('get_admin_plugin_menu_links', 'calendar_admin_menu');

function calendar_admin_menu($menu) {
 array_push(
   $menu,
   array(
     'NAME'  => 'EK_Calendar',
     'URL'   => get_admin_plugin_menu_link(dirname(__FILE__)).'/admin.php'
   )
 );
 return $menu;
}

function calendar_main() {
	global $template, $tokens, $page, $user, $lang, $conf;
		
		if ($page['section'] == 'calendar') {
		//выковыриваем из базы настройки блога
		$page['EK_calendar'] = @unserialize($conf['EK_calendar']);
		$template->assign('number_of_months', $page['EK_calendar']['number_of_months']);
		$template->assign('calendar_range', $page['EK_calendar']['calendar_range']);
		$template->assign('exp_text', $page['EK_calendar']['exp_text']);
		
		
		$result = pwg_query(
				"SELECT *
				FROM ".calendar_Table."
				WHERE 1"
			);
		while ($row = pwg_db_fetch_assoc($result)) {
			$eventdate = explode("/", $row['date']);
			$event[$row['id']]['day'] = $eventdate[0];
			$event[$row['id']]['month'] = $lang['month'][$eventdate[1]];
			$event[$row['id']]['year'] = $eventdate[2];
			$event[$row['id']]['text'] = $row['text'];
		}
		if (isset($event)) {$template->assign('event', $event);}

		$page['title'] = l10n('calendar');
		
		$template->func_combine_script( array(
			'id'=> 'jquery',
			'load'=> 'footer',
			'path'=> 'themes/default/js/jquery.min.js',
		), $template->smarty);
		
		$template->func_combine_script( array(
			'id'=> 'datepicker',
			'path'=> 'themes/default/js/ui/jquery.ui.datepicker.js',
			'require'=> 'jquery'
		), $template->smarty);
		
		$cal_lang = $user['language'][0].$user['language'][1];
		$template->assign('cal_lang', $cal_lang);
		$template->func_combine_script( array(
			'id'=> 'datepicker_loc',
			'path'=> 'themes/default/js/ui/i18n/jquery.ui.datepicker-'.$cal_lang.'.js',
			'require'=> 'datepicker'
		), $template->smarty);
		
		//определяем адрес шаблона плагина
		$template->set_template_dir(calendar_templ);
		$template->set_filename('calendar', 'calendar.tpl');
		//подключение стиля
		$template->func_combine_css(array('path' => 'themes/default/js/ui/theme/jquery.ui.datepicker.css'));
		$template->func_combine_css(array('path' => calendar_PATH.'calendar.css',));
		
		//объявляем где конкретно на странице должен вывестись наш шаблон плагина. Вся суть в 'PLUGIN_INDEX_CONTENT_BEFORE'.
		$template->concat('PLUGIN_INDEX_CONTENT_END',  $template->parse('calendar', true));
}
}

//описываем действия во время собырия loc_begin_index, ну тобишь выводим плагин на странице
add_event_handler('loc_begin_index', 'calendar_main');

function section_init_calendar() 
{
	global $page, $tokens;
	if ($tokens[0]=='calendar') {
		$page['section'] = 'calendar';
		}
}  
//инициация страницы блога, без этого на ней появляется список с категориями.	
add_event_handler('loc_end_section_init', 'section_init_calendar');

function add_calendar_to_menu($aMenuRefArray) {
	global $conf, $page;

   //хрен его знает что это, какаято проверка на существование меню
    $menu = &$aMenuRefArray[0];
    $block_mbMenu = $menu->get_block('mbMenu');
    if (null == $block_mbMenu) {
      return;
    }
    
    if (!isset($block_mbMenu->data['calendar'])) {
      $calendar_menu = array(
          'TITLE' => l10n('calendar'),
          'NAME'  => l10n('calendar'),
          'URL'   => make_index_url(array('section' => 'calendar')),
        );
      $block_mbMenu->data['calendar'] = $calendar_menu;
    }
  }
add_event_handler('blockmanager_apply', 'add_calendar_to_menu');
?>